Gecode::Int::Branch::MeritMax< View > Class Template Reference
Other available functionality » Merit-based integer view selection for branchers

Merit class for maximum. More...

`#include <branch.hh>`

## Public Member Functions

| MeritMax (Space &home, const VarBranch< Var > &vb)
| Constructor for initialization.
| MeritMax (Space &home, MeritMax &m)
| Constructor for cloning.
int | operator() (const Space &home, View x, int i)
| Return maximum as merit for view x at position i.
Public Member Functions inherited from Gecode::MeritBase< View, int >
| MeritBase (Space &home, const VarBranch< Var > &vb)
| Constructor for initialization.
bool | notice (void) const
| Whether dispose must always be called (that is, notice is needed).
void | dispose (Space &home)
| Delete view merit class.

## Additional Inherited Members

Public Types inherited from Gecode::MeritBase< View, int >
typedef View | View
| View type.
typedef View::VarType | Var
| Corresponding variable type.
typedef int | Val
| Type of merit.

## Detailed Description

template<class View>
class Gecode::Int::Branch::MeritMax< View >

Merit class for maximum.

Requires

#include <gecode/int/branch.hh>
branch.hh

Definition at line 87 of file branch.hh.

## Constructor & Destructor Documentation

## MeritMax() [1/2]

template<class View>

Gecode::Int::Branch::MeritMax< View >::MeritMax | ( | Space & | home,
|  | const VarBranch< Var > & | vb )

Constructor for initialization.

## MeritMax() [2/2]

template<class View>

Gecode::Int::Branch::MeritMax< View >::MeritMax | ( | Space & | home,
|  | MeritMax< View > & | m )

inline

Constructor for cloning.

Definition at line 60 of file merit.hpp.

## Member Function Documentation

## operator()()

template<class View>

int Gecode::Int::Branch::MeritMax< View >::operator() | ( | const Space & | home,
|  | View | x,
|  | int | i )

inline

Return maximum as merit for view x at position i.

Definition at line 64 of file merit.hpp.

The documentation for this class was generated from the following files:

- gecode/int/branch.hh
- gecode/int/branch/merit.hpp